> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1compliance



## OpenAPI

````yaml /api/openapi.json get /api/v1/compliance
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/compliance:
    get:
      tags:
        - session
      operationId: getComplianceReport
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            default: 50
            type: integer
            minimum: 1
            maximum: 200
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            minLength: 1
        - name: courseId
          in: query
          required: false
          schema:
            type: string
            minLength: 1
        - name: status
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/TrainingStatus'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/ComplianceRow'
                  nextCursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    TrainingStatus:
      type: string
      enum:
        - not-started
        - in-progress
        - completed
        - tested-out
        - overdue
    ComplianceRow:
      type: object
      properties:
        user:
          type: object
          properties:
            id:
              type: string
              minLength: 1
            name:
              type: string
              minLength: 1
            email:
              type: string
              minLength: 1
              format: email
              pattern: >-
                ^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
          required:
            - id
            - name
            - email
          additionalProperties: false
        training:
          $ref: '#/components/schemas/RequiredTraining'
      required:
        - user
        - training
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
    RequiredTraining:
      type: object
      properties:
        requirementId:
          type: string
          minLength: 1
        courseId:
          type: string
          minLength: 1
        courseTitle:
          type: string
          minLength: 1
        dueAt:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        status:
          $ref: '#/components/schemas/TrainingStatus'
        completedAt:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        certificateId:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
      required:
        - requirementId
        - courseId
        - courseTitle
        - dueAt
        - status
        - completedAt
        - certificateId
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````